Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.attributehandlers
Class LongAttributeHandler

    java.lang.Object
      org.jfree.xml.attributehandlers.LongAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class LongAttributeHandler

extends java.lang.Object
implements AttributeHandler

A class that handles the conversion of `Long` attributes to and from an appropriate `String` representation.

Constructor Summary
`LongAttributeHandler()` Creates a new attribute handler.

Method Summary
`java.lang.String` | `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` | `toPropertyValue(java.lang.String s)` Converts a string to a `Long`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongAttributeHandler

    public LongAttributeHandler()

  Creates a new attribute handler.

Method Detail

### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

  Converts the attribute to a string.

  Specified by:
    `toAttributeValue` in interface `AttributeHandler`
  Parameters:
    `o` - the attribute (`Long` expected).
  Returns:
    A string representing the `Long` value.

### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

  Converts a string to a `Long`.

  Specified by:
    `toPropertyValue` in interface `AttributeHandler`
  Parameters:
    `s` - the string.
  Returns:
    a `Long`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD